Subject: Re: [PATCH v2] rerere: fix crash during clear

From: Junio C Hamano <[email-masked]>
Date: Sun, 24 Mar 2024 14:51:17 -0700

Marcel Röthke <[email-masked]> writes:

> On 2024-02-19 17:22:43, Junio C Hamano wrote:
>> Marcel Röthke <[email-masked]> writes:
>>
>> > When rerere_clear is called, for instance when aborting a rebase, and
>> > the current conflict does not have a pre or postimage recorded git
>> > crashes with a SEGFAULT in has_rerere_resolution when accessing the
>> > status member of struct rerere_dir.
>>
>> I had to read this twice before realizing the reason why I found it
>> hard to grok was because of a missing comma between "recorded" and
>> "git".
>
> fixed
> ...
> I'm unfortunately not sure how it happened. I do have the initial state
> of the repository and I think I know the commands that were executed,
> but I could not reproduce it.
>
> I will look into adding a test case though.

It has been about a month.  Any new development on this topic?

Thanks.